// Hier muss die Original Variablen-Datei "zurück"-geladen werden
//@import "typo3conf/ext/theme/Resources/Private/Scss/main";

// Browser Reset
@import "typo3conf/ext/theme/Resources/Private/Scss/Plugins/reset";
// Bootstrap components
// Use Bootstrap/bootstrap.less to enable/disable features
@import "Bootstrap/variables";
@import "typo3conf/ext/theme/Resources/Private/Scss/Bootstrap/bootstrap";
@import "typo3conf/ext/theme/Resources/Private/Scss/mixins";
// Theme Variables
@import "typo3conf/ext/theme/Resources/Private/Scss/variables";
// Theme Plugins
@import "typo3conf/ext/theme/Resources/Private/Scss/Plugins/cookiebar";

// Modules
@import "typo3conf/ext/theme/Resources/Private/Scss/modules";

// Modules
@import "typo3conf/ext/theme/Resources/Private/Scss/contentelemente";




a {
	@include transition($transition-base);
}

p {
	font-family: "Segoe UI Regular", "Roboto", "Helvetica Neue", Arial, sans-serif;
}

b,strong {
	font-weight: $font-weight-bold;
}
// #############################
// Default content Styles
// ##############################

.std-header {
  .singlemainline,
  .mainline {
  }

  .subline {
  }
}

// Default space height after content element
.frame-space-after {
  &-extra-small {
    //    margin-bottom: 5px;
  }

  &-small {
    //    margin-bottom: 15px;
  }

  &-medium {
    //    margin-bottom: 30px;
  }

  &-large {
    //    margin-bottom: 45px;
  }

  &-extra-large {
    //    margin-bottom: 60px;
  }
}

.frame {
  .std-header {
    .singlemainline,
    .subline {
    }

    .mainline {
    }
  }

  // RTE styles
  p.bodytext {
  }

  ul {
    li {
    }
  }

  ol {
    li {

    }
  }
}

// Default Fancybox Styles
.fancybox-container {
  .fancybox-button- {
    &-play,
    &-fullscreen,
    &-thumbs,
    &-share {
      display: none !important;
    }
  }
}

html,body {
    height: 100%;
  color: $color3 !important;
}

// Basic Strucktur
body {
	display: grid;
	grid-template-areas: 
		"header header header"
		"main main main"
		"footer footer footer";
	grid-template-columns:1fr;
	grid-template-rows: auto 1fr auto;
	@include media-breakpoint-up(lg) {
		grid-template-rows: auto 1fr 220px;
	}
	height: 100%;
	width: 100%;
	min-height: 100%;
	header {
		grid-area: header;
	}
	
	main {
		grid-area: main;
	}
	
	footer {
		grid-area: footer;
	}
}

.bg-black {
	background-color:#000000;
}

// ##############################
// Mobile first media queries
// ##############################
// Mobile and beyound
// ##############################


// ##############################
// SM and beyond
// ##############################
@include media-breakpoint-up(sm) {

}

// ##############################
// MD and beyond
// ##############################
@include media-breakpoint-up(md) {

}

// ##############################
// LG and beyond
// ##############################
@include media-breakpoint-up(lg) {

}

// ##############################
// XL and beyond
// ##############################
@include media-breakpoint-up(xl) {
	.extbase-debugger.extbase-debugger-floating {
		position: absolute;
	}
}

//Ab Hier Overrides möglich, mit den bestehenden Variablen aus theme UND themeoverride
//@import "variables";
@import "styles";

